Summary: X interface to the gdb debugger
Name: xxgdb
Version: 1.12
Release: 1
Copyright: MIT
Group: Development/Debuggers
Source0: ftp://sunsite.unc.edu/pub/Linux/devel/debuggers/xxgdb-1.12.tar.gz
Patch0: %{name}-%{version}-aix.patch
Icon: xxgdb.gif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: Xaw3d-devel >= 1.5
Requires: Xaw3d >= 1.5
Requires: gdb

%description
xxgdb is a graphical interface to GNU's debugger. It has the ability
to display source files as they are executed, set breakpoints, and
singlestep through or over commands - all with an easy-to-use
graphical X Windows interface.


%prep
%setup -q
chmod u+w Imakefile
%patch0


%build
xmkmf
make %{?_smp_mflags} XAWLIB='-lXaw3d'


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install install.man \
    BINDIR=%{_bindir} \
    MANDIR=%{_mandir}/man1 MANSUFFIX=1

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%config /usr/lib/X11/app-defaults/XDbx
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Thu May 03 2012 Michael Perzl <michael@perzl.org> - 1.12-1
- first version for AIX V5.1 and higher
